#!/bin/sh

# Generate SQL script to clone IntStd records for a newer standard version
# Old records will be marked as withdrawn
#

# Author: Denis Silakov <dsilakov@gmail.com>

OLD_SID=$1
NEW_SID=$2
LSB_VERSION=$3

if [[ x$LSB_VERSION == "x" ]]
then
    echo "Not enoug arguments"
    echo "USAGE: $0 old_sid new_sid lsb_version"
    exit 1
fi

DBOPTS="-h $LSBDBHOST -u $LSBUSER --password=$LSBDBPASSWD $LSBDB"

mysql $DBOPTS -e "SELECT CONCAT(\"INSERT INTO IntStd (ISiid,ISsid,ISrefspec,ISappearedin,ISwithdrawnin,ISurl) VALUES (\", ISiid, \",\" ,$NEW_SID, \",\", ISrefspec, \",'\", $LSB_VERSION, \"', NULL, '\",ISurl,\"');\") FROM IntStd WHERE ISsid=$OLD_SID AND ISappearedin > '' AND ISwithdrawnin IS NULL" | grep -v CONCAT
echo "UPDATE IntStd SET ISwithdrawnin = '$LSB_VERSION' WHERE ISsid=$OLD_SID AND ISappearedin > '' AND ISwithdrawnin IS NULL;";
